OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< StoryPageElementType > Struct Template Reference

Define basic enum properties. More...

`#include <story_base.h>`

Inheritance diagram for EnumPropsT< StoryPageElementType >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< StoryPageElementType, byte, SPET_TEXT, SPET_END, INVALID_SPET, 8 >
typedef StoryPageElementType | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< StoryPageElementType, byte, SPET_TEXT, SPET_END, INVALID_SPET, 8 >
static const StoryPageElementType | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const StoryPageElementType | end
| one after the last valid value (i.e. TRACKDIR_END)
static const StoryPageElementType | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< StoryPageElementType >

Define basic enum properties.

Definition at line 39 of file story_base.h.

The documentation for this struct was generated from the following file:

- src/story_base.h